<?php

	$args = array( 'hide_empty' => false );
	$categories = get_terms( $args );
	$cats = $cats_woo = $cats_serv = array();
	foreach($categories as $category){
		if( is_object($category) ){
			if( $category->taxonomy == 'portfolio_category' ){
				$cats[$category->name] = $category->slug;
			} 
		}
	}

	$args = array( 'post_type' => 'portfolio');
	$portfolio = get_posts($args);
	$port = array();
	if(empty($portfolio['errors'])){
		foreach($portfolio as $port_card){
			$port[$port_card->post_title] = $port_card->ID;
		}
	}


	$icon_attributes = array(
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => esc_html__( "Content", 'health' ),
			"param_name" => "content",
			"value" => '',
			"description" => '',
		),
	);

	vc_add_params( 'vc_icon', $icon_attributes );


	
	/// health_big_title
	vc_map(
		array(
			'name' => esc_html__( 'Big Title', 'health' ),
			'base' => 'health_big_title',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'heading' => esc_html__( 'Title', 'health' ),
					'param_name' => 'title',
					'value' => esc_html__( 'I am Title', 'health' ),
					'description' => esc_html__( 'Title param.', 'health' )
				),

 				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Color', 'health' ),
					'param_name' => 'color',
					'value' => '',
					'description' => esc_html__( 'Leave empty to use theme colors.', 'health' ),
				),
 
				vc_map_add_css_animation(),
				array(
					'type' => 'checkbox',
					'holder' => 'div',
					'heading' => esc_html__( 'Shuffle', 'health' ),
					'param_name' => 'shuffle',
					'value' =>  'shuffle'   ,
					'description' => esc_html__( 'Enable shuffle effect.', 'health' )
				)
			)
		)
	);

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Big_Title extends WPBakeryShortCode {

		}
	}
	
	

	/// health_icon_card
	vc_map(
		array(
			'name' => esc_html__( 'Icon Card', 'health' ),
			'base' => 'health_icon_card',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array_merge(
				array(
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Title', 'health' ),
						'param_name' => 'title',
						'value' => esc_html__( 'I am title', 'health' ),
						'description' => esc_html__( 'Add Title ', 'health' )
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Subtitle', 'health' ),
						'param_name' => 'subtitle',
						'value' => '',
						'description' => ''
					),
				),
				health_get_vc_icons($vc_icons_data),
				array(
					array(
						'type' => 'vc_link',
						'holder' => 'div',
						'heading' => esc_html__( 'Button Link', 'health' ),
						'param_name' => 'link',
						'value' => '',
						'description' =>''
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Button Text', 'health' ),
						'param_name' => 'btn_text',
						'value' => '',
						'description' => '',
					),
					array(
						'type' => 'textarea_html',
						'holder' => 'div',
						'heading' => esc_html__( 'Content', 'health' ),
						'param_name' => 'content',
						'value' => wp_kses_post(__( '<p>I am test text block. Click edit button to change this text.</p>', 'health' )),
						'description' => esc_html__( 'Enter your content.', 'health' )
					),
				)
			)
		)
	);
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Icon_Card extends WPBakeryShortCode {

		}
	}


	/// health_flip_box
	vc_map(
		array(
			'name' => esc_html__( 'Flip Box', 'health' ),
			'base' => 'health_flip_box',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array_merge( 
				array(
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Title', 'health' ),
						'param_name' => 'title',
						'value' => esc_html__( 'I am title', 'health' ),
						'description' => esc_html__( 'Add Title ', 'health' )
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Subtitle', 'health' ),
						'param_name' => 'subtitle',
						'value' => '',
						'description' => esc_html__( 'Text under title.', 'health' )
					),
				),
				health_get_vc_icons($vc_icons_data),	
				array(
					array(
						'type' => 'textarea_html',
						'holder' => 'div',
						'heading' => esc_html__( 'Content', 'health' ),
						'param_name' => 'content',
						'value' => wp_kses_post(__( '<p>I am test text block. Click edit button to change this text.</p>', 'health' )),
						'description' => esc_html__( 'Enter your content.', 'health' )
					)	
				)
			)	
		)
	);
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Flip_Box extends WPBakeryShortCode {

		}
	}


	

	////////////////////////
		

		/// health_video_box
	vc_map(
		array(
			'name' => esc_html__( 'Video Box', 'health' ),
			'base' => 'health_video',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title Left', 'health' ),
					'param_name' => 'title',
					'value' => esc_html__( 'I am Title', 'health' ),
					'description' => esc_html__( 'Title param.', 'health' )
				),
 
 			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title Right', 'health' ),
					'param_name' => 'title2',
					'value' => esc_html__( 'I am Title', 'health' ),
					'description' => esc_html__( 'Title param.', 'health' )
				),
 
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Youtube ID', 'health' ),
					'param_name' => 'youtube',
					'value' => 'qEJ4spdiTxw',
					'description' => esc_html__( 'Enter youtube video id.', 'health' )
				)
			)
		)
	);

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Video extends WPBakeryShortCode {

		}
	}



	$args = array( 'post_type' => 'wpcf7_contact_form');
	$forms = get_posts($args);
	$cform7 = array('Select Form' => '');
	if(empty($forms['errors'])){
		foreach($forms as $form){
			$cform7[$form->post_title] = $form->ID;
		}
	}


	if(function_exists('kaswara_cf7_forms')) {
		$cf_array = array(
			array(
				'type' => 'dropdown',
				'holder' => 'div',
				'heading' => esc_html__( 'Contact Form 7', 'health' ),
				'param_name' => 'cf',
				'value' => $cform7,
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Select CF7 Style', 'health'),
				'param_name' => 'cf7_style',
				'value' => kaswara_cf7_styles()
			),
		);
	} else {
		$cf_array = array(
			array(
				'type' => 'dropdown',
				'holder' => 'div',
				'heading' => esc_html__( 'Contact Form 7', 'health' ),
				'param_name' => 'cf',
				'value' => $cform7,
			),
		);
	}
	/// health_contact
	vc_map(
		array(
			'name' => esc_html__( 'Contact', 'health' ),
			'base' => 'health_contact',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array_merge( $cf_array,
				array(
					array(
						'type' => 'attach_image',
						'heading' => esc_html__( 'Marker Image', 'health' ),
						'param_name' => 'image',
						'value' => '',
						'description' => esc_html__( 'Select image from media library.', 'health' )
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'LAT', 'health' ),
						'param_name' => 'lat',
						'value' => '40.6700',
						'description' => esc_html__( 'Latitude', 'health' )
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'LNG', 'health' ),
						'param_name' => 'lng',
						'value' => '-73.9400',
						'description' => esc_html__( 'Longtitude', 'health' )
					),
					array(
						"type" => "textfield",
						"holder" => "div",
						"heading" => esc_html__( "Map Width", 'health' ),
						"param_name" => "width",
						"value" => '',
						"description" => esc_html__( "Default 100%", 'health' )
					),
					array(
						"type" => "textfield",
						"holder" => "div",
						"heading" => esc_html__( "Map Height", 'health' ),
						"param_name" => "height",
						"value" => '',
						"description" => esc_html__( "Default 100%", 'health' )
					),
					array(
						"type" => "textfield",
						"holder" => "div",
						"heading" => esc_html__( "Zoom", 'health' ),
						"param_name" => "zoom",
						"value" => '',
						"description" => esc_html__( "Zoom 0-20. Default 8.", 'health' )
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__( "Scroll Wheel", 'health' ),
						"param_name" => "scrollwheel",
						'value' => array(
							esc_html__( "Off", 'health' ) => 'false',
							esc_html__( "On", 'health' ) => 'true',
						),
						"description" => esc_html__( "Zoom map with scroll", 'health' )
					),
				)
			)
		)
	);

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Contact extends WPBakeryShortCode {

		}
	}	

	/// health_services3
	vc_map(
		array(
			'name' => esc_html__( 'Threebox ', 'health' ),
			'base' => 'health_service3',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title 1', 'health' ),
					'param_name' => 'title1',
					'value' => esc_html__( 'Title1', 'health' ),
					'description' => esc_html__( 'Title', 'health' )
				),
 
 			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon 1', 'health' ),
					'param_name' => 'icon1',
					'value' => '',
					'description' => esc_html__( 'Icon', 'health' )
				),
			 array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text 1', 'health' ),
					'param_name' => 'text1',
					'value' => '',
					'description' => esc_html__( 'Text', 'health' )
				),
			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title 2', 'health' ),
					'param_name' => 'title2',
					'value' => esc_html__( 'Title1', 'health' ),
					'description' => esc_html__( 'Title', 'health' )
				),
 
 			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon 2', 'health' ),
					'param_name' => 'icon2',
					'value' => '',
					'description' => esc_html__( 'Icon', 'health' )
				),
			 array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text 2', 'health' ),
					'param_name' => 'text2',
					'value' => '',
					'description' => esc_html__( 'Text', 'health' )
				),
			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title 3', 'health' ),
					'param_name' => 'title3',
					'value' => esc_html__( 'Title3', 'health' ),
					'description' => esc_html__( 'Title', 'health' )
				),
 			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Link', 'health' ),
					'param_name' => 'link',
					'value' => '',
					'description' => esc_html__( 'Link', 'health' )
				),
 			array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon 3', 'health' ),
					'param_name' => 'icon3',
					'value' => '',
					'description' => esc_html__( 'Icon', 'health' )
				),
			 array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text 3', 'health' ),
					'param_name' => 'text3',
					'value' => '',
					'description' => esc_html__( 'Text', 'health' )
				),				 			 
				vc_map_add_css_animation(),
		 
			)
		)
	);

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Service3 extends WPBakeryShortCode {

		}
	}	
	
	/// health_departaments
	vc_map(
		array(
			'name' => esc_html__( 'Departments Slider', 'health' ),
			'base' => 'health_departaments',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array(
			 	array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Ids', 'health' ),
					'param_name' => 'ids',
					'value' => '',
					'description' => esc_html__( 'Separate by comma.', 'health' )
				),		 			 
				vc_map_add_css_animation(),
		 
			)
		)
	);

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Departaments extends WPBakeryShortCode {

		}
	}	


	/// health_departaments
	vc_map(
		array(
			'name' => esc_html__( 'Threesteps', 'health' ),
			'base' => 'health_steps',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title 1', 'health' ),
					'param_name' => 'title1',
					'value' => esc_html__( 'Title1', 'health' ),
					'description' => esc_html__( 'Title', 'health' )
				),
 
 				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon 1', 'health' ),
					'param_name' => 'icon1',
					'value' => '',
					'description' => esc_html__( 'Icon', 'health' )
				),
			 	array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text 1', 'health' ),
					'param_name' => 'text1',
					'value' => '',
					'description' => esc_html__( 'Text', 'health' )
				),
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title 2', 'health' ),
					'param_name' => 'title2',
					'value' => esc_html__( 'Title1', 'health' ),
					'description' => esc_html__( 'Title', 'health' )
				),
 
 				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon 2', 'health' ),
					'param_name' => 'icon2',
					'value' => '',
					'description' => esc_html__( 'Icon', 'health' )
				),
			 	array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text 2', 'health' ),
					'param_name' => 'text2',
					'value' => '',
					'description' => esc_html__( 'Text', 'health' )
				),
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title 3', 'health' ),
					'param_name' => 'title3',
					'value' => esc_html__( 'Title3', 'health' ),
					'description' => esc_html__( 'Title', 'health' )
				),
 
 				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon 3', 'health' ),
					'param_name' => 'icon3',
					'value' => '',
					'description' => esc_html__( 'Icon', 'health' )
				),
			 	array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text 3', 'health' ),
					'param_name' => 'text3',
					'value' => '',
					'description' => esc_html__( 'Text', 'health' )
				),				 			 
				//vc_map_add_css_animation(),
		 
			)
		)
	);

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Steps extends WPBakeryShortCode {

		}
	}		
		
	






	/// box_teammember
	vc_map( array(
		"name" => esc_html__( "Team Member Box", 'health' ),
		"base" => "health_teammember_box",
		"class" => "pix-health-icon",
		"category" => esc_html__( "Theme Widgets", 'health'),
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Image', 'health' ),
				'param_name' => 'image',
				'description' => esc_html__( 'Select image.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Name', 'health' ),
				'param_name' => 'name',
				'description' => esc_html__( 'Team member name.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Position', 'health' ),
				'param_name' => 'position',
				'description' => esc_html__( 'Member position.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 1', 'health' ),
				'param_name' => 'scn1',
				'description' => esc_html__( 'https://www.facebook.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 1', 'health' ),
				'param_name' => 'scn_icon1',
				'description' => wp_kses_post(__( 'Add icon fa-facebook <a href="//fortawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' )),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 2', 'health' ),
				'param_name' => 'scn2',
				'description' => esc_html__( 'https://twitter.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 2', 'health' ),
				'param_name' => 'scn_icon2',
				'description' => wp_kses_post(__( 'Add icon fa-twitter <a href="//fortawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' )),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 3', 'health' ),
				'param_name' => 'scn3',
				'description' => esc_html__( 'https://plus.google.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 3', 'health' ),
				'param_name' => 'scn_icon3',
				'description' => wp_kses_post(__( 'Add icon fa-google-plus <a href="//fortawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 4', 'health' ),
				'param_name' => 'scn4',
				'description' => esc_html__( '//www.w3.org/TR/html5/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 4', 'health' ),
				'param_name' => 'scn_icon4',
				'description' => wp_kses_post(__( 'Add icon fa-html5 <a href="//fortawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 5', 'health' ),
				'param_name' => 'scn5',
				'description' => esc_html__( 'https://github.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 5', 'health' ),
				'param_name' => 'scn_icon5',
				'description' => wp_kses_post(__( 'Add icon fa-github <a href="//fortawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 6', 'health' ),
				'param_name' => 'scn6',
				'description' => esc_html__( 'https://github.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 6', 'health' ),
				'param_name' => 'scn_icon6',
				'description' => esc_html__( 'Add icon fa-github <a href="//fortawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' )
			),
			vc_map_add_css_animation(),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Info", 'health' ),
				"param_name" => "content",
				"value" => wp_kses_post(__( "<p>I am test text block. Click edit button to change this text.</p>", 'health' )),
				"description" => esc_html__( "Enter information.", 'health' )
			),
		)
	) );
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Teammember_Box extends WPBakeryShortCode {
		}
	}
	////////////////////////


	/// health_imagescarousel
	vc_map(
		array(
			"name" => esc_html__( "Images Carousel", 'health' ),
			"base" => "health_imagescarousel",
			"class" => "pix-health-icon",
			"category" => esc_html__( "Theme Widgets", 'health'),
			"params" => array(
				array(
					'type' => 'attach_images',
					'heading' => esc_html__( 'Images', 'health' ),
					'param_name' => 'images',
					'value' => '',
					'description' => esc_html__( 'Select images from media library.', 'health' )
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Image size', 'health' ),
					'param_name' => 'img_size',
					'value' => 'thumbnail',
					'description' => esc_html__( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size. If used slides per view, this will be used to define carousel wrapper size.', 'health' ),
				),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Desktop Items Count', 'health' ),
                    'param_name' => 'itemscount',
                    'value' => '4',
                    'description' => esc_html__( 'Enter desktop items count', 'health' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Mobile Items Count', 'health' ),
                    'param_name' => 'ritemcount',
                    'value' => '2',
                    'description' => esc_html__( 'Enter mobile items count', 'health' ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Enable pagination', 'health' ),
                    'param_name' => 'pagination',
                    'value' => array(
                        esc_html__( "Yes", 'health' ) => 'true',
                        esc_html__( "No", 'health' ) => 'false',
                    ),
                    'description' => esc_html__( 'Enable or disable pagination', 'health' ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Enable navigation', 'health' ),
                    'param_name' => 'navigation',
                    'value' => array(
                        esc_html__( "Yes", 'health' ) => 'true',
                        esc_html__( "No", 'health' ) => 'false',
                    ),
                    'description' => esc_html__( 'Enable or disable pagination', 'health' ),
                ),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Auto Play', 'health' ),
					'param_name' => 'autoplay',
					'value' => '4000',
					'description' => esc_html__( 'Enter autoplay speed in milliseconds. 0 is turn off autoplay.', 'health' ),
				),

				vc_map_add_css_animation(),
			)
		)
	);
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Imagescarousel extends WPBakeryShortCode {

		}
	}

	/// section_laptop
	vc_map(
		array(
			"name" => esc_html__( "Laptop Images Carousel", 'health' ),
			"base" => "health_laptop",
			"class" => "pix-health-icon",
			"category" => esc_html__( "Theme Widgets", 'health'),
			"params" => array(
				array(
					'type' => 'attach_images',
					'heading' => esc_html__( 'Images', 'health' ),
					'param_name' => 'images',
					'value' => '',
					'description' => esc_html__( 'Select images from media library.', 'health' )
				),
				 
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'More Works Link', 'health' ),
					'param_name' => 'link',
					'value' => '4000',
					'description' => esc_html__( 'Enter link for more works page', 'health' ),
				),
				vc_map_add_css_animation(),
			)
		) 
	);
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Laptop extends WPBakeryShortCode {
			
		}
	}



	/// health_tabs_vertical
	vc_map( array(
		'name' => esc_html__( 'Vertical Content Tabs ', 'health' ),
		'base' => 'health_tabs_vertical',
		'class' => 'pix-health-icon',
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array(
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Tab Values', 'health' ),
				'param_name' => 'tabs',
				'params' => array_merge(
					array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Title', 'health' ),
							'param_name' => 'title',
							'description' => esc_html__( 'Tab title.', 'health' )
						),
						array(
							'type' => 'attach_image',
							'heading' => esc_html__( 'Image', 'health' ),
							'param_name' => 'image',
							'value' => '',
							'description' => esc_html__( 'Select image from media library.', 'health' )
						),
					),
					health_get_vc_icons($vc_icons_data),
					array(
						array(
							'type' => 'textarea',
							'holder' => 'div',
							'heading' => esc_html__( 'Content', 'health' ),
							'param_name' => 'content',
							'value' => wp_kses_post(__( '<p>I am test text block. Click edit button to change this text.</p>', 'health' )),
							'description' => esc_html__( 'Enter your content.', 'health' )
						),
					)
				),
			),
		),
	) );
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Tabs_Vertical extends WPBakeryShortCode {
		}
	}
	//////////////////////////////////


	/// health_anchor
	vc_map( array(
		'name' => esc_html__( 'Anchor Link', 'health' ),
		'base' => 'health_anchor',
		'class' => 'pix-health-icon',
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array_merge(
			array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'health' ),
					'param_name' => 'title',
					'description' => esc_html__( 'Tab title.', 'health' )
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Anchor', 'health' ),
					'param_name' => 'anchor',
					'value' => '',
					'description' => esc_html__( 'Anchor for section', 'health' )
				),
			),
			health_get_vc_icons($vc_icons_data)
		),
	) );
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Anchor extends WPBakeryShortCode {
		}
	}
	//////////////////////////////////

    //////// Content  Container /////////
    vc_map(
        array(
            "name" => esc_html__( "Content  Container", 'health' ),
            "base" => "health_content_container",
            "class" => "pix-health-icon",
            "category" => esc_html__( "Theme Widgets", 'health'),
            "content_element" => true,
            "show_settings_on_create" => true,
            'as_parent' => array('except' => 'health_content_container'),
            "js_view" => 'VcColumnView',
            'params' => array(
                array(
                    'type' => 'dropdown',
                    'heading' => "Style",
                    'param_name' => 'style',
                    'value' => array(
                        esc_html__( "Default", 'health' ) => 'default',
                        esc_html__( "Shadow", 'health' ) => 'shadow',
                    ),
                    'description' => esc_html__( "Style of content", 'health' ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => "Container position",
                    'param_name' => 'position',
                    'value' => array(
                        esc_html__( "Left", 'health' ) => 'left',
                        esc_html__( "Right", 'health' ) => 'right',
                        esc_html__( "Center", 'health' ) => 'center'
                    ),
                    'description' => esc_html__( "Style of content", 'health' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => "Container Width",
                    'param_name' => 'cwidth',
                    'value' => '100%',
                    'description' => esc_html__( "Enter container width eg. ( 100px or  70% )", 'health' ),
                ),
				array(
                    'type' => 'textfield',
                    'heading' => "Box Width",
                    'param_name' => 'width',
                    'value' => '100%',
                    'description' => esc_html__( "Enter box width eg. ( 100px or  70% )", 'health' ),
                ),
				array(
                    'type' => 'textfield',
                    'heading' => "Box height",
                    'param_name' => 'height',
                    'value' => '100%',
                    'description' => esc_html__( "Enter box height eg. ( 100px or  70% )", 'health' ),
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => __( 'CSS box', 'health' ),
                    'param_name' => 'css',
                    'group' => __( 'Design Options', 'health' ),
                )
            )
        )
    );
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_health_Content_Container extends WPBakeryShortCodesContainer {
        }
    }
    /////////////////////////////////

	//////// Carousel Reviews ////////
	vc_map( array(
		'name' => esc_html__( 'Reviews', 'health' ),
		'base' => 'health_reviews',
		'class' => 'pix-health-icon pix-theme-icon_info',
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array(
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Display Type', 'health' ),
				'param_name' => 'type',
				'value' => array(
					esc_html__('Double', 'health') => 'double',
					esc_html__('Single', 'health') => 'single',
				),
				'description' => ''
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Carousel', 'health' ),
				'param_name' => 'carousel',
				'value' => array(
					esc_html__('Enable', 'health') => 1,
					esc_html__('Disable', 'health') => 0,
				),
				'description' => esc_html__( 'On/off carousel', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => 'double',
				),
			),
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Reviews', 'health' ),
				'param_name' => 'reviews_d',
				'params' => array(
					array(
						'type' => 'attach_image',
						'heading' => esc_html__( 'Image', 'health' ),
						'param_name' => 'image_d',
						'description' => esc_html__( 'Select image.', 'health' )
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Name', 'health' ),
						'param_name' => 'name_d',
						'description' => esc_html__( 'Person name.', 'health' ),
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Position', 'health' ),
						'param_name' => 'position',
						'description' => esc_html__( 'Text under the name.', 'health' ),
					),
					array(
						'type' => 'vc_link',
						'heading' => esc_html__( 'Link', 'health' ),
						'param_name' => 'link',
						'description' => esc_html__( 'Author link', 'health' )
					),
					array(
						"type" => "textarea",
						"holder" => "div",
						"heading" => esc_html__( "Review Text", 'health' ),
						"param_name" => "content_d",
						"value" => wp_kses_post(__( "<p>I am test text block. Click edit button to change this text.</p>", 'health' )),
						"description" => esc_html__( "Enter text.", 'health' )
					),
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'double',
				),
			),
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Reviews', 'health' ),
				'param_name' => 'reviews_s',
				'params' => array(
					array(
						'type' => 'attach_image',
						'heading' => esc_html__( 'Image', 'health' ),
						'param_name' => 'image_s',
						'description' => esc_html__( 'Select image.', 'health' )
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Name', 'health' ),
						'param_name' => 'name_s',
						'description' => esc_html__( 'Person name.', 'health' ),
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'health' ),
						'param_name' => 'title',
						'description' => esc_html__( 'Review title', 'health' ),
					),
					array(
						"type" => "dropdown",
						"holder" => "div",
						"heading" => esc_html__( "Rating", 'health' ),
						"param_name" => "rating",
						'value' => array('5', '4', '3', '2', '1', ''),
						"description" => '',
					),
					array(
						"type" => "textarea",
						"holder" => "div",
						"heading" => esc_html__( "Review Text", 'health' ),
						"param_name" => "content_s",
						"value" => esc_html__( "I am test text block. Click edit button to change this text.", 'health' ),
						"description" => esc_html__( "Enter text.", 'health' )
					),
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'single',
				),
			)
		),


	) );
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Reviews extends WPBakeryShortCode {
		}
	}


		
	// health_amount_box
	$params1 = array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title', 'health' ),
					'param_name' => 'title',
					'value' => esc_html__( 'Completed projects', 'health' ),
					'description' => esc_html__( 'Title.', 'health' )
				),
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Amount', 'health' ),
					'param_name' => 'amount',
					'value' => esc_html__( '25', 'health' ),
					'description' => esc_html__( 'Amount.', 'health' )
				),
				array(
					'type' => 'textarea_html',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text', 'health' ),
					'param_name' => 'text',
					'value' => esc_html__( 'Pellentesque eget quam vel velit mollis	tempus a nec mauris.', 'health' ),
					'description' => esc_html__( 'Text.', 'health' )
				),
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Icon', 'health' ),
					'param_name' => 'icon',
					'value' => esc_html__( 'arrow_move', 'health' ),
					'description' => esc_html__( 'Icon.', 'health' )
				),
			);
		$params2 = array(
				vc_map_add_css_animation(),
			);
	 
		$params = array_merge($params1, $params2);
	 
	vc_map(
		array(
			'name' => esc_html__( 'Amount Box', 'health' ),
			'base' => 'health_amount_box',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => $params,
		)
	);
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Amount_Box extends WPBakeryShortCode {

		}
	}

	// health_amount_single
	$params1 = array(
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Title', 'health' ),
					'param_name' => 'title',
					'value' => esc_html__( 'Completed projects', 'health' ),
					'description' => esc_html__( 'Title.', 'health' )
				),
				array(
					'type' => 'textfield',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Amount', 'health' ),
					'param_name' => 'amount',
					'value' => esc_html__( '25', 'health' ),
					'description' => esc_html__( 'Amount.', 'health' )
				),
				array(
					'type' => 'textarea_html',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__( 'Text', 'health' ),
					'param_name' => 'text',
					'value' => esc_html__( '', 'health' ),
					'description' => esc_html__( 'Text.', 'health' )
				),
			);
		
	 
		$params = array_merge($params1);
	 
	vc_map(
		array(
			'name' => esc_html__( 'Amount Single', 'health' ),
			'base' => 'health_amount_single',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => $params,
		)
	);
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Amount_Single extends WPBakeryShortCode {

		}
	} 




	/////////////////////////////////

	//////// Carousel Reviews ////////
	vc_map( array(
		'name' => esc_html__( 'Smart Tabs', 'health' ),
		'base' => 'health_tab_links',
		'class' => 'pix-health-icon',
		'show_settings_on_create' => true,
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array(
			array(
				'type' => 'dropdown',
				'holder' => 'div',
				'heading' => esc_html__( 'Links or Content', 'health' ),
				'param_name' => 'type',
				'value' => array(
					esc_html__('Links', 'health') => 'links',
					esc_html__('Content', 'health') => 'contents',
				),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Title', 'health' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Can be empty.', 'health' ),
			),
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'ID', 'health' ),
				'param_name' => 'tab_id',
				'description' => esc_html__( 'Necessary for container item.', 'health' ),
			),
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Links', 'health' ),
				'param_name' => 'tab_links',
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Tab Title', 'health' ),
						'param_name' => 'tab_title',
					),
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Active on Load', 'health' ),
						'param_name' => 'active',
						'value' => array(
							esc_html__('No', 'health') => '',
							esc_html__('Yes', 'health') => 'active',
						),
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Content ID', 'health' ),
						'param_name' => 'content_id',
						'description' => esc_html__( 'Link to Content ID', 'health' )
					),
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'links'
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Active on Load', 'health' ),
				'param_name' => 'active_content',
				'value' => array(
					esc_html__('No', 'health') => '',
					esc_html__('Yes', 'health') => 'active',
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'contents'
				)
			),
			array(
				'type' => 'textarea_html',
				'heading' => esc_html__( 'Content', 'health' ),
				'param_name' => 'content',
				'value' => wp_kses_post(__( '<p>I am test text block. Click edit button to change this text.</p>', 'health' )),
				'description' => esc_html__( 'Enter text.', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => 'contents'
				)
			),
		)

	) );
	vc_map( array(
		'name' => esc_html__( 'Smart Tabs Content', 'health' ),
		'base' => 'health_tab_content',
		'class' => 'pix-health-icon',
		'as_parent' => array('only' => 'health_tab_links'),
		'content_element' => true,
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'front_enqueue_js' => get_template_directory_uri() . '/library/functions/shortcodes/shortcode.js',
		'params' => array(
			array(
				'type' => 'textfield',
				'holder' => 'div',
				'heading' => esc_html__( 'Title', 'health' ),
				'param_name' => 'content_title',
			),
		),
		'js_view' => 'VcColumnView',
	) );
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_health_Tab_Content extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Tab_Links extends WPBakeryShortCode {
		}
	}
	///////////////////////////////
	

	//////// Carousel History ////////
	vc_map( array(
		'name' => esc_html__( 'History', 'health' ),
		'base' => 'health_history',
		'class' => 'pix-health-icon',
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array(
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Type', 'health' ),
				'param_name' => 'type',
				'value' => array(
					esc_html__('Horizontal', 'health') => 'horizontal',
					esc_html__('Vertical', 'health') => 'vertical',
				),
				'description' => ''
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'History blocks per page', 'health' ),
				'param_name' => 'count',
				'value' => '3',
				'description' => esc_html__( 'If empty, display all blocks', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => 'vertical'
				)
			),
		 	array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Moments', 'health' ),
				'param_name' => 'moments_h',
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'health' ),
						'param_name' => 'title_h',
						'description' => esc_html__( 'Review title', 'health' )
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Date', 'health' ),
						'param_name' => 'd_h',
						'value' =>   '25 MAY, 2017',
						'description' => ''
					),
					array(
						'type' => 'textarea',
						'holder' => 'div',
						'heading' => esc_html__( 'Text', 'health' ),
						'param_name' => 'content_h',
						'value' => wp_kses_post(__( '<p>I am test text block. Click edit button to change this text.</p>', 'health' )),
						'description' => esc_html__( 'Enter text', 'health' )
					),
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'horizontal'
				)
			),
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Moments', 'health' ),
				'param_name' => 'moments_v',
				'params' => array(
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Position On Timeline', 'health' ),
						'param_name' => 'position',
						'value' => array(
							esc_html__('Left', 'health') => 'left',
							esc_html__('Right', 'health') => 'right',
						),
						'description' => esc_html__( 'Left/right position on timeline', 'health' ),
					),
					array(
						'type' => 'attach_image',
						'heading' => esc_html__( 'Image', 'health' ),
						'param_name' => 'image',
						'description' => esc_html__( 'Select image.', 'health' ),
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'health' ),
						'param_name' => 'title_v',
						'description' => esc_html__( 'Review title', 'health' )
					),
					array(
						'type' => 'textfield',
						'holder' => 'div',
						'heading' => esc_html__( 'Date', 'health' ),
						'param_name' => 'd_v',
						'value' =>   '25 MAY, 2017',
						'description' => ''
					),
					array(
						'type' => 'textarea',
						'holder' => 'div',
						'heading' => esc_html__( 'Text', 'health' ),
						'param_name' => 'content_v',
						'value' => wp_kses_post(__( '<p>I am test text block. Click edit button to change this text.</p>', 'health' )),
						'description' => esc_html__( 'Enter text', 'health' )
					),
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'vertical'
				)
			),
		),
	) );
	vc_map( array(
		'name' => esc_html__( 'Date', 'health' ),
		'base' => 'health_date',
		'class' => 'pix-health-icon',
		'as_child' => array('only' => 'health_dates'),
		'content_element' => true,
		'front_enqueue_js' => get_template_directory_uri() . '/library/functions/shortcodes/shortcode.js',
		'params' => array(
 
 
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'health' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Review title', 'health' )
			),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"heading" => esc_html__( "Text", 'health' ),
				"param_name" => "content",
				"value" => wp_kses_post(__( "<p>I am test text block. Click edit button to change this text.</p>", 'health' )),
				"description" => esc_html__( "Enter text.", 'health' )
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"heading" => esc_html__( "Date", 'health' ),
				"param_name" => "d",
				"value" =>   '25 MAY, 2017',
				"description" => esc_html__( "date", 'health' )
			),
		)
	) );
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_History extends WPBakeryShortCode {
		}
	}
	/////////////////////////////////	
	



	vc_map( array(
		'name' => esc_html__( 'My Services', 'health' ),
		'base' => 'health_service',
		'class' => 'pix-health-icon',
		'as_child' => array('only' => 'health_services'),
		'content_element' => true,
		'front_enqueue_js' => get_template_directory_uri() . '/library/functions/shortcodes/shortcode.js',
		'params' => array(
 
 
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title text', 'health' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Text title', 'health' )
			),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Text", 'health' ),
				"param_name" => "content",
				"value" => wp_kses_post(__( "<p>I am test text block. Click edit button to change this text.</p>", 'health' )),
				"description" => esc_html__( "Enter text.", 'health' )
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Button Text", 'health' ),
				"param_name" => "btn",
				"value" => wp_kses_post(__( "Learn More", 'health' )),
				"description" => esc_html__( "Enter text.", 'health' )
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Button Link", 'health' ),
				"param_name" => "link",
				"value" => wp_kses_post(__( "#", 'health' )),
				"description" => esc_html__( "Enter text.", 'health' )
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Service title", 'health' ),
				"param_name" => "service_title",
				"value" =>   'title',
				"description" => esc_html__( "Service title", 'health' )
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Service icon", 'health' ),
				"param_name" => "icon",
				"value" =>   'title',
				"description" => esc_html__( "Service icon", 'health' )
			),
		)
	) );
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_health_Services extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Service extends WPBakeryShortCode {
		}
	}
	/////////////////////////////////		
	
	
	
	/// health_team
	//////// Our Team ////////
	vc_map( array(
		'name' => esc_html__( 'Team Members', 'health' ),
		'base' => 'health_team',
		'class' => 'pix-health-icon',
		'as_parent' => array('only' => 'health_team_member'),
		'content_element' => true,
		'show_settings_on_create' => true,
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array(
		 	array(
				'type' => 'dropdown',
				'heading' => "Type",
				'param_name' => 'type',
				'value' => array(
					esc_html__( "Type 1", 'health' ) => '',
					esc_html__( "Type 2", 'health' ) => '-mod',	 
				),
				'description' => esc_html__( "Type of box", 'health' ),
	 
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'health' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Title of box', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => '-mod',
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Text', 'health' ),
				'param_name' => 'text',
				'description' => esc_html__( 'Text.', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => '-mod',
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Button text', 'health' ),
				'param_name' => 'button',
				'description' => esc_html__( 'Button text.', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => '-mod',
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Link', 'health' ),
				'param_name' => 'link',
				'description' => esc_html__( 'Button Link.', 'health' ),
				'dependency' => array(
					'element' => 'type',
					'value' => '-mod',
				),
			),
			vc_map_add_css_animation(),
		),
		'js_view' => 'VcColumnView',

	) );
	vc_map( array(
		'name' => esc_html__( 'Team Member', 'health' ),
		'base' => 'health_team_member',
		'class' => 'pix-health-icon',
		'as_child' => array('only' => 'health_team'),
		'content_element' => true,
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Image', 'health' ),
				'param_name' => 'image',
				'description' => esc_html__( 'Select image.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Name', 'health' ),
				'param_name' => 'name',
				'description' => esc_html__( 'Team member name.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Position', 'health' ),
				'param_name' => 'position',
				'description' => esc_html__( 'Member position.', 'health' )
			),
		 
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 1', 'health' ),
				'param_name' => 'scn1',
				'description' => esc_html__( 'https://www.facebook.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 1', 'health' ),
				'param_name' => 'scn_icon1',
				'description' => wp_kses_post(__( 'Add icon social_facebook_circle <a href="//fontawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 2', 'health' ),
				'param_name' => 'scn2',
				'description' => esc_html__( 'https://twitter.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 2', 'health' ),
				'param_name' => 'scn_icon2',
				'description' => wp_kses_post(__( 'Add icon social_twitter_circle <a href="//fontawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 3', 'health' ),
				'param_name' => 'scn3',
				'description' => esc_html__( 'https://www.pinterest.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 3', 'health' ),
				'param_name' => 'scn_icon3',
				'description' => wp_kses_post(__( 'Add icon social_pinterest_circle <a href="//fontawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Link 4', 'health' ),
				'param_name' => 'scn4',
				'description' => esc_html__( 'https://plus.google.com/', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Social Network Icon 4', 'health' ),
				'param_name' => 'scn_icon4',
				'description' => wp_kses_post(__( 'Add icon social_googleplus_circle <a href="//fontawesome.github.io/Font-Awesome/icons/" target="_blank">See all icons</a>', 'health' ))
			),
			vc_map_add_css_animation(),
		 
		)
	) );
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_health_Team extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Team_Member extends WPBakeryShortCode {
		}
	}
	////////////////////////



	vc_map( array(
		'name' => esc_html__( 'Item Options', 'health' ),
		'base' => 'health_item_options',
		'class' => 'pix-health-icon',
		'category' => esc_html__( 'Theme Widgets', 'health'),
		'params' => array(
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Item Image', 'health' ),
				'param_name' => 'image',
				'description' => esc_html__( 'Select image.', 'health' )
			),
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Options', 'health' ),
				'param_name' => 'options',
				'params' => array_merge(
					array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Title', 'health' ),
							'param_name' => 'title',
							'description' => ''
						),
						array(
							'type' => 'attach_image',
							'heading' => esc_html__( 'Image', 'health' ),
							'param_name' => 'image_inner',
							'description' => esc_html__( 'Select image. (Size 476x850 px)', 'health' )
						),
					),
					health_get_vc_icons($vc_icons_data),
					array(
						array(
							'type' => 'textarea',
							'heading' => esc_html__( 'Content', 'health' ),
							'param_name' => 'content',
							'description' => ''
						),
					)
				),
			),
		),

	) );

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Item_Options extends WPBakeryShortCode {
		}
	}
	////////////////////////
	
	
 
	vc_map( array(
		'name' => esc_html__( 'Quote', 'health' ),
		'base' => 'health_quote',
		'class' => 'pix-health-icon',
 		"category" => esc_html__( "Theme Widgets", 'health'),
		'params' => array(
		 	array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'health' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Quote title.', 'health' )
			),
			array(
				'type' => 'textarea',
				'heading' => esc_html__( 'Text', 'health' ),
				'param_name' => 'text',
				'description' => esc_html__( 'Quote text.', 'health' )
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Image', 'health' ),
				'param_name' => 'image',
				'description' => esc_html__( 'Select image.', 'health' )
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Signature', 'health' ),
				'param_name' => 'signature',
				'description' => esc_html__( 'Select image.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Name', 'health' ),
				'param_name' => 'name',
				'description' => esc_html__( 'Team member name.', 'health' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Position', 'health' ),
				'param_name' => 'position',
				'description' => esc_html__( 'Member position.', 'health' )
			),
		 
			 
			vc_map_add_css_animation(),
		 
		)
	) );
 
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Quote extends WPBakeryShortCode {
		}
	}
	////////////////////////



///////////////////////////////////// Theme Post Types Widgets /////////////////////////////////////

	/// health_posts_block
	vc_map(
		array(
			"name" => esc_html__( "News Block", 'health' ),
			"base" => "health_posts_block",
			"class" => "pix-health-icon",
			"category" => esc_html__( "Theme Widgets", 'health'),
			"params" => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Posts Count', 'health' ),
					'param_name' => 'count',
					'description' => esc_html__( 'If empty, display all posts.', 'health' )
				),
			)
		)
	);
	
	//////////////////////////////////////////////////////////////////////
	
	
	/// health_brand
	vc_map(
		array(
			'name' => esc_html__( 'Brand Box', 'health' ),
			'base' => 'health_brand',
			'class' => 'pix-health-icon',
			'category' => esc_html__( 'Theme Widgets', 'health'),
			'params' => array(
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Image', 'health' ),
					'param_name' => 'image',
					'value' => '',
					'description' => esc_html__( 'Select image from media library.', 'health' )
				),
				array(
					'type' => 'vc_link',
					'holder' => 'div',
					'heading' => esc_html__( 'Url', 'health' ),
					'param_name' => 'url',
					'value' => '',
					'description' => '',
				),
				vc_map_add_css_animation(),
			)
		)
	);
	
	
	////////////////////////	
	
	
	/***   Widget Order   ***/
	
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Brand extends WPBakeryShortCode {
		}
	}
	
	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_health_Posts_Block extends WPBakeryShortCode {
		}
	}
	
	
?>